#! /bin/sh

chk=$1
# ./../../../tests/2.x/andexp-pipeexp.chk -> 2.x
medir=$(basename $(dirname "$chk"))
# ./../../../tests/2.x/andexp-pipeexp.chk -> 2.x/andexp-pipeexp
me=$medir/$(basename "$chk" ".chk")
# ./../../../tests/2.x/andexp-pipeexp.chk -> andexp-pipeexp
meraw=$(basename $me)    # MERAW!


# Move to a private dir.
rm -rf $me.dir
mkdir -p $me.dir
cd $me.dir

sed -n -e 's@#=@@p' ../../$chk>output.exp

theclass=$(echo $meraw | sed -e 's/-.*//')

../..//tests $theclass ../../$chk >tests.out 2>tests.err
status=$?
echo $status >tests.stat

diff -w -u output.exp tests.out >output.diff
if test $? != 0;
then
  echo "INPUT:"
  cat ../../$chk
  echo ==================
  echo "DIFF:"
  cat output.diff
  echo ==================
  echo "ERR:"
  cat tests.err

  exit 1
else
  exit 0
fi


